/*
 *  slpr.h -- header file for small size print
 *
 *  revision history
 *	0.0: Feb. 25, 1993 by Dai Ishijima
 *	0.1: Mar.  9, 1993
 *	0.2: Dec. 27, 1995
 *	0.3: Feb.  7, 1996
 */

#ifdef __TURBOC__
#define MSDOS
#endif

#ifdef LSI_C
#define MSDOS
#define HAVE_FSETBIN
#endif

#ifdef _MSC_VER
#define MSDOS
#endif

#ifndef MSDOS
#undef PC98_ROMFONT
#undef PC98_PRTBIOS
#endif


/* Ѥե */
#ifndef DBCSFONT
#define DBCSFONT "./fontx/jpnzn16x.fnt"
#endif
#ifndef SBCSFONT
#define SBCSFONT "./fontx/jpnhn16x.fnt"
#endif

/* ڡ礭 */
#define COLUMNS 96	/* 1Ԥʸ */
#define LINES   66	/* 1ڡιԿ */

#define DPI 180		/* ץ󥿤β [dots/inch] (ĤϻȤäƤʤ) */
/* ; (ɥåñ) */
#define M_TOP 90 	/* ѻξü1ڡܺüޤǤ; */
#define M_CEN 180	/* 1ڡܤ2ڡܤ; */
#define M_LEF (8*18)	/* ѻκüȥڡüޤǤ; */

#define TABSIZE 8	/* ֤ */

#define YES 1
#define NO  0

/* ץ󥿤 ESC/Pޥ */
#define PINIT  "\x1b@\x1bx1\x1b\x33\x18"	/* ESC @  ESC x 1  ESC 3 24 */
#define SKIP   "\x1b\\"		/* n1+n2*256ɥåȥå */
#define BITIMG "\x1b*\x27"	/* ӥåȥ᡼⡼ */
#define VSKIP  "\x1bJ"		/* nɥåȽ */
#define BLANK  " "		/* 3ʸ˶λ˥ץ󥿤륳 */

#define CHARHEIGHT 18		/* ʸι⤵ */
#define FONTHEIGHT 16		/* ʸեȤι⤵ */
#define NCHARS 3		/* ٤˰Ǥʸ */


#define highbyte(x) ((unsigned)(x) >> 8)
#define lowbyte(x) ((x) & 0xff)

extern unsigned char *font(unsigned int code);
#ifndef PC98_ROMFONT
extern void initdbcs(char *filename);
extern void initsbcs(char *filename);
#endif

/*
 * end of slpr.h
 */
